//
// <PW-Id>
//

///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright 2018-2020 by Pierre Wolfers Meylan France                       //
//                                                                           //
// This library is free software. Distribution and use rights are outlined   //
// in the file "COPYING" which should have been included with this file.     //
// If this file is missing or damaged, see the license at:                   //
//                                                                           //
//    <To be define when ready>                                              //
//                                                                           //
//   This license described in this file overrides all other licenses that   //
//   might be specified in other files for this library.                     //
//                                                                           //
//   This library is free software; you can redistribute it  and/or modify   //
//   it under the terms of the GNU Lesser General Public License as publi-   //
//   shed by  the  Free Software  Foundation;  either  version 2.1  of the   //
//   License, or (at your option) any later version.                         //
//                                                                           //
//   This library  is  distributed in  the  hope that  it will  be useful,   //
//   but   WITHOUT  ANY  WARRANTY;  without even  the  implied warranty of   //
//   MERCHANTABILITY  or  FITNESS  FOR A  PARTICULAR PURPOSE.  See the GNU   //
//   Library General Public License for more details.                        //
//                                                                           //
//   You should have  received  a copy of  the  GNU Lesser General  Public   //
//   License  along with this library  (see COPYING.LIB); if not, write to   //
//   the Free Software Foundation :                                          //
//                        Inc., 675 Mass Ave, Cambridge, MA 02139, USA.      //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



//
// P.Wolfers Software
//

//
// Module environment of signal trap for debug routines/objects.
//

#ifndef SERVICE_TRAP_H
#define SERVICE_TRAP_H


class Cntx {
private:
    Cntx        * prv_;
    const char  * mdl_;
    int           lng_;

public:
    Cntx( const char * f, int l );
    ~Cntx();
    void Line( int l );
    void Tracing( int = 0 );

};


#define CNTX( m, l ) Cntx F_Cntx( m, l )
#define LINE( l ) F_Cntx.Line( l )
#define TRACE() F_Cntx.Tracing()


typedef int (*errhdl)( int );

void Trap_Init();
void Error_Tracing( int );

void Establish_Handler( errhdl );
void Revert_Handler();

int  CC_Error();
//void Gen_Error_Msg( int );


#endif


//
// end of <PW-Id>.
//
